//----------------------------------------------------------------------
//
//  FILE:   SeasonalBenchmarkPlot.hh
//  AUTHOR: Ian Ross
//  DATE:   28-MAR-2005
//
//----------------------------------------------------------------------
//
//  Class for MOTIF benchmark seasonal plot generation.
//
//----------------------------------------------------------------------

#ifndef _H_SEASONAL_BENCHMARK_PLOT_
#define _H_SEASONAL_BENCHMARK_PLOT_

//----------------------------------------------------------------------
//
//  HEADER FILES
//

// Standard headers.

#include <cstdio>

using namespace std;


// Local headers.

#include "BenchmarkPlot.hh"


//----------------------------------------------------------------------
//
//  CLASS DEFINITION
//

class SeasonalBenchmarkPlot : public BenchmarkPlot {
public:

  enum Season { ANNUAL, DJF, MAM, JJA, SON, JAS };

  SeasonalBenchmarkPlot(string model, Domain domain,
                        string var_name, string var_full_name,
                        const PlotSetup &setup, Season season);
  virtual ~SeasonalBenchmarkPlot() { }

  virtual void plot(void);

private:

  virtual void colours(FILE *fp, int &grid_colour);
  virtual void scaling(float &scale_factor, float &offset, string &units);
  virtual string title_string(void);

  Season _season;
  string _seasonal_data_file;
};

#endif

//----------------------------------------------------------------------
//----------------------------------------------------------------------
//----------------------------------------------------------------------
